/*******************************************************************
  HD4470n(SC1602BS*B) tW[pR[h
  LCD wb_[t@C (Kusunokî̂ύXj
  LCD wb_[t@C (kuman̂̂ύXj
  MPU=MSP430p
  |[g̊蓖
@@P5 4F7@LCDD4FD7@tɃf[^𑗂iWrbgQɕāj
@@P5 1@@ LCD RSiRegister Srectj
@@P5 2@@ V@@RWiRead/Writeej
@  P5 3@@ V@@EiEnablej
  |[gύXƂ//1 ̃̕|[gύX
  rbgԍύXƂ//2 ̃̕rbgԍύX
 ******************************************************************* */

#include "msp430x42x0.h"

#ifndef FILE_LCD_H
#define FILE_LCD_H

#ifndef uint8_t
  #define   uint8_t   unsigned char
#endif

#ifndef uint16_t
  #define   uint16_t   unsigned int
#endif

#define _BV(bit_n)  (1<<(bit_n))

#define LCD_CTL_PORT P5OUT          //1
#define LCD_DATA_PORT P5OUT         //1
#define LCD_CTL_PORT_DDR P5DIR      //1
#define LCD_DATA_PORT_DDR P5DIR     //1

#define LCD_D4 4    //2
#define LCD_D5 5    //2
#define LCD_D6 6    //2
#define LCD_D7 7    //2
#define LCD_RS 1    //2
#define LCD_RW 2    //2
#define LCD_E  3    //2

#define LCD_COL 16

void lcd_delay(void);
void lcd_e(void);
void lcd_gotopos(uint8_t col,uint8_t lin);
void lcd_cls(void);
void lcd_setpos(void);
void lcd_cmdout_s(uint8_t cmd);
void lcd_putcmd(uint8_t cmd);
void lcd_dataout_s(uint8_t ch);
void lcd_putch(uint8_t ch);
void lcd_putstr(uint8_t *str);
void lcd_init(void);

void lcd_get_line_colums(uint8_t *a, uint8_t *b);

#endif

