//******************************************************************************
//  MSP430F4270 LCD\fE\tg
//  CCR0^C}[(UPӰ)P1.0̓o͕𔽓]i2Łj
//@_ =  = 20000 / 32768 = 0.61s
// 
//  HSC1602LCDɕ\܂
//
//  RpCFTI MSP430p IAR Embedded Workbench iEW430jo[W3.41
//******************************************************************************
#include "msp430x42x0.h"
#include "lcd.h"

int main(void)
{
  WDTCTL = WDTPW + WDTHOLD;               // WDT̒~
  P1DIR |= 0x01;                          // P1.0 DIR:OUTPUT
  P1OUT &= ~0x01;                         // LED OFF

  lcd_init();
  lcd_cls();
 
  CCTL0 = CCIE;                           // CCR0 ݋
  CCR0 = 20000;                           // TAR = CCR0(20000)̎Ɋݔ
  TACTL = TASSEL_1 + MC_1;                // ČACLK, UPӰ(TARCCR0܂Ŷ) 
 
  #define STR1  "MSP430"
  #define STR2  " Hellow world!"

  lcd_gotopos(0,0);                       // Ps
  lcd_putstr((uint8_t *)STR1);            // \

  lcd_gotopos(0,1);                       // Qs
  lcd_putstr((uint8_t *)STR2);            // \

  _BIS_SR(LPM0_bits + GIE);               // LPM0(d̓[hAW[)ɓ, Ӽޭي݋
  return 0;
}

// Timer A0 ݏ[`
#pragma vector=TIMERA0_VECTOR
__interrupt void Timer_A (void)
{
  P1OUT ^= 0x01;                         // LED ON/OFF]i_Łj
}
